Skip to main content
POST
/
accounts
/
{accountId}
/
tpas
/
{tpaId}
/
signatories
Add signatory (sends email)
curl --request POST \
  --url https://api.opencard.io/api/v1/application/accounts/{accountId}/tpas/{tpaId}/signatories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "ceo@acme.se",
  "name": "Anna Andersson"
}
'
{
  "id": 7,
  "email": "ceo@acme.se",
  "name": "Anna Andersson",
  "tpa_id": 42,
  "signed": false,
  "signed_at": null
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
integer
required

Your account ID

tpaId
integer
required

TPA ID

Body

application/json
email
string
required
name
string

Response

201 - application/json

Signatory created